API Reference
Queue a ByteDance upscale of a stored video asset.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
assetId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspace/media/assets/string/upscale" \ -H "Content-Type: application/json" \ -d '{ "target_resolution": "1080p" }'{ "asset_id": "string", "source_asset_id": "string", "target_resolution": "1080p", "credits_required": 0, "run_id": "string", "status": "queued"}